<?php
defined('FIR') OR exit();
/**
 * The template for displaying the header section
 */
?>


	    <!-- ==============================================
	    Register Section
	    =============================================== -->	

        <div class="container-fluid">
            <div class="row no-gutter">
                <!-- The image half -->
                <div class="col-md-6 d-none d-md-flex bg-image" style="background-image: url(<?=$this->siteUrl().'/'.PUBLIC_PATH.'/'.UPLOADS_PATH?>/admin/<?=e($this->siteSettings('login_bg'))?>)"></div>


                <!-- The content half -->
                <div class="col-md-6 bg-light">
                    <div class="login d-flex align-items-center py-5">

                               <?=$this->message()?>
                               <?=$this->validation()?>

                        <!-- Demo content-->
                        <div class="container">
                            <div class="row">
                                <div class="col-lg-10 col-xl-7 mx-auto">
                                    <h3 class="display-4"><?=$this->lang('register_as')?> <?=$this->candidate_name()?></h3>
                                    <p class="text-muted mb-4"><?=$this->lang('admin_will_verify')?>.</p>
                                    
                                    <form action="<?=$this->siteUrl()?>/<?=$this->candidate_url()?>/register" method="post">
                                        <div class="form-group mb-3">
                                            <input name="name" type="text" placeholder="<?=$this->lang('name')?>" class="form-control rounded-pill border-0 shadow-sm px-4">
                                        </div>
                                        <div class="form-group mb-3">
                                            <input name="email" type="email" placeholder="<?=$this->lang('email')?>" class="form-control rounded-pill border-0 shadow-sm px-4">
                                        </div>
                                        <div class="form-group mb-3">
                                            <input name="password" type="password" placeholder="<?=$this->lang('password')?>" class="form-control rounded-pill border-0 shadow-sm px-4 text-primary">
                                        </div>
                                      <div class="form-group mb-3">
                                        <label><?=$this->category_name_plural()?></label>
                                        <select class="form-control rounded-pill border-0 shadow-sm px-4" name="category_id">
                                            <?php foreach($data['categories'] as $row){ ?>
                                               <option value="<?=e($row['id'])?>"><?=e($row['title'])?></option> 
                                            <?php } ?>   
                                        </select>  
                                      </div>
                   
                                        <?=$this->token()?>
                                        
                                        <button type="submit" name="candidate_register" class="btn btn-primary btn-block text-uppercase mt-2 mb-2 rounded-pill shadow-sm"><?=$this->lang('register')?></button>
                                        
                                    </form>
                                        
                                        <a href="<?=$this->siteUrl()?>/login" class="btn btn-success btn-block text-uppercase mb-2 rounded-pill shadow-sm"><?=$this->lang('login')?></a>
                                        <div class="text-center d-flex justify-content-between mt-4">
                                           <p> 
                                            <a href="<?=$this->siteUrl()?>" class="font-italic text-muted"><u><?=$this->lang('home_page')?></u></a>
                                           </p>
                                        </div>
                                </div>
                            </div>
                        </div><!-- End -->

                    </div>
                </div><!-- End -->

            </div>
        </div>